/* 颜色样式 */
:root {
  --fs-tkcs-footer-bg: #282828;
  --fs-tkcs-footer-font-color: #9ECCDA;
}

/* 主题样式 */
.fs-tkcs-footer {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  padding: 0 calc((100% - min(1440px, 96%)) / 2);
  padding-top: 90px;
  padding-bottom: 8px;
  background: var(--fs-tkcs-footer-bg);
}


.fs-tkcs-footer-tel a {
  color: var(--fs-tkcs-footer-font-color);
  text-align: center;
  font-family: Rubik;
  font-size: 32px;
  font-style: normal;
  font-weight: 300;
  line-height: 36px;
  /* 112.5% */
  letter-spacing: 1px;
}

.fs-tkcs-footer-address {
  position: relative;
  width: 100%;
  color: var(--fs-tkcs-footer-font-color);
  text-align: center;
  font-family: Rubik;
  font-size: 24px;
  font-style: normal;
  font-weight: 300;
  line-height: 1.2;
  /* 150% */
  letter-spacing: 1px;

  padding-top: 56px;
  padding-bottom: 24px;
}

.fs-tkcs-footer-address::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background: var(--fs-tkcs-footer-font-color);
  opacity: 0.2;
}

.fs-tkcs-footer-logo {
  position: relative;
  width: 187px;
  padding-bottom: 55px;
}

.fs-tkcs-footer-logo img {
  width: 100%;
  height: auto;
}

.fs-tkcs-footer-media {
  display: flex;
  gap: 48px;
  padding-top: 56px;
}

.fs-tkcs-footer-media a {
  width: 32px;
  height: 32px;
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  background: var(--fs-tkcs-footer-font-color);
  fill: var(--fs-tkcs-footer-font-color);
  transition: transform 0.3s ease;
}

.fs-tkcs-footer-media a.fstk-icon-svg-instagram {
  -webkit-mask-image: url('../images/svg/eea0deb89ea2444ebae8d44b412225ce.svg');
  mask-image: url('../images/svg/eea0deb89ea2444ebae8d44b412225ce.svg');
}

.fs-tkcs-footer-media a.fstk-icon-svg-x {
  -webkit-mask-image: url('../images/svg/599b451837fd4bba86577a20e09a5766.svg');
  mask-image: url('../images/svg/599b451837fd4bba86577a20e09a5766.svg');
}

.fs-tkcs-footer-media a.fstk-icon-svg-facebook {
  -webkit-mask-image: url('../images/svg/641cf97e7d584ea7908056d146e5ca87.svg');
  mask-image: url('../images/svg/641cf97e7d584ea7908056d146e5ca87.svg');
}

.fs-tkcs-footer-media a.fstk-icon-svg-youtube {
  -webkit-mask-image: url('../images/svg/0b9aa932285d4c82ba3fc2328f7c71cf.svg');
  mask-image: url('../images/svg/0b9aa932285d4c82ba3fc2328f7c71cf.svg');
}



.fs-tkcs-footer-copyright {
  color: var(--fs-tkcs-footer-font-color);
  text-align: center;
  font-family: Rubik;
  font-size: 16px;
  font-style: normal;
  font-weight: 300;
  line-height: 1;
  /* 225% */
  letter-spacing: 1px;
  padding-top: 56px;
}


/* Media Query */
@media (min-width: 1001px) {
  .fs-tkcs-footer-media a:hover {
    transform: scale(1.5);
  }
}

@media (max-width: 1000px) {
  .fs-tkcs-footer {
    padding: 0;
    padding-top: 5.62rem;
    padding-bottom: 1.5rem;
  }


  .fs-tkcs-footer-tel a {
    font-size: 1.75rem;
  }

  .fs-tkcs-footer-address {
    font-size: 1.75rem;
    padding-top: 3.03rem;
    padding-bottom: 2rem;
    width: 42.875rem;
  }

  .fs-tkcs-footer-logo {
    width: 11.69144rem;
    padding-bottom: 4rem;
  }


  .fs-tkcs-footer-media {
    gap: 3rem;
    padding-top: 4rem;
  }

  .fs-tkcs-footer-media a {
    width: 3rem;
    height: 3rem;
  }

  .fs-tkcs-footer-copyright {
    font-size: 1.25rem;
    width: 90%;
  }
}